#include <iostream>
using namespace std;

int broj_prijatelja(int broj,int x[],int y[],int N)
{
    int i, rezultat = 0;
    for(i=0;i<=N-1;i++)
    {
        if(x[i]==broj)
        {
            rezultat++;
        }
        if(y[i]==broj)
        {
            rezultat++;
        }
    }
    return rezultat;
}

int main()
{
    int i,N,M,max=0;
    int dru[100000];
    int x[100000];
    int y[100000];
    int sreca[100000];
    cin>>N>>M;
    for(i=0;i<=N-1;i++)
    {
        cin>>dru[i];
    }
    for(i=0;i<=M-1;i++)
    {
        cin>>x[i]>>y[i];
    }
    for(i=0;i<=N-1;i++)
    {
        sreca[i] = dru[i]*broj_prijatelja(i+1,x,y,N);
        max = max + sreca[i];
        /*cout<<"Broj prijatelja od "<<i+1<<" je "<<broj_prijatelja(i+1,x,y,N)<<endl;*/
    }
    cout<<abs(max);
    
    
    return 0;
}